version: '3.3'

services:
  pr-management-api-prod:
    container_name: pr-management-api-prod
    restart: always
    build:
      context: .
    logging:
      driver: "json-file"
      options:
        max-size: "5m"
    environment:
      - ConnectionStrings__DefaultConnection=User ID=PR_PROD;Password=AVNS_8XSfWMoxhsRz9vy34JO;Host=db-postgresql-sgp1-56999-do-user-3547454-0.c.db.ondigitalocean.com;Port=25060;Database=PRManagement;Pooling=true;
      - ConnectionStrings__IsMigration=true
      - ConnectionStrings__IsSeed=true
    networks:
      - ig_nw
    volumes:
      - ./artifacts:/source/artifacts

networks:
  ig_nw: 
    external: true
